function sample_data_knn

global fig data hdl res untreated treated

val = get(fig.treatments,'value');
str = get(fig.treatments,'string');
chk = get(fig.check_clc,'value');

if chk == 1
    clc_col = find(strncmp('Ch1_CLC_Ch2',data.datahead,11));
    data.data(:,clc_col) = [];
    data.datahead(:,clc_col) = [];
end
    

if isempty(str)
    warndlg('File not selected','Error!!');
    return
else
    ctrl = hdl.treatments(val);%select the single control
end

treats = setdiff(hdl.treatments, ctrl);
untreated.data = data.data(ismember(data.textdata(:,8), ctrl), :);
untreated.info = data.textdata(ismember(data.textdata(:,8), ctrl), :);
sz = size(untreated.data);
szf = 100000000;

for i = 1:length(treats)
    treated.dataset = data.data(ismember(data.textdata(:,8), treats(i)), :);%test
    szt = size(treated.dataset);
    szf = min(szf,szt(1));
end

minsz = min(szf,sz(1));
r = randperm(numel(untreated.data(:,1)));
samplesz = round(minsz(1));
untreated.controls = untreated.data(r(1:samplesz), :);%control
untreated.continfo = untreated.info(r(1:samplesz), :);
    
for i = 1:length(treats)
    treated.dataset = data.data(ismember(data.textdata(:,8), treats(i)), :);%test
    treated.info = data.textdata(ismember(data.textdata(:,8), treats(i)), :);
    r = randperm(numel(treated.dataset(:,1)));
    treated.dataset = treated.dataset(r(1:samplesz), :);
    treated.testinfo = treated.info(r(1:samplesz), :);
    
    features_reduction;
end