function append_files_knn

global data fig hdl

[f_names,dir_names] = uigetfile('*.txt','Select files to append','MultiSelect','on');

lnf = length(f_names);
apdata = [];
aptextdata = [];
if char(f_names) ~= 0
    for i = 1:lnf
        cd(dir_names);
        apnd(i).l = importdata(char(f_names(i)));
                
        apdata = [apdata;apnd(i).l.data];
        if i == 1
            aptextdata = [aptextdata;apnd(i).l.textdata];
        else
            aptextdata = [aptextdata;apnd(i).l.textdata(2:end,:)];
        end
    end
    data.data = apdata;
    data.textdata = aptextdata;
    
    str = sprintf('%d files appended',lnf);
    set(fig.name_appendfile,'string',str);
    
    num = numel(data.textdata(1,:)) - numel(data.data(1,:));
    data.texthead = data.textdata(1, 1:num);
    data.datahead = data.textdata(1, num+1:end);
    data.textdata = data.textdata(2:end, 1:num);

% mem stored all those rows that had NAN in first column to eliminate later
    mem=not(isnan (sum(data.data(:,1),2)));

    % This data is without all rows with NAN's in all columns
    data.data = data.data(mem, :);
    data.textdata = data.textdata(mem, :);
    clear mem 
    % Check for any more NAN's
    sz=size(data.data);
    [elm_r,elm_c]=find(isnan(data.data));
    inter_elm_c=intersect(elm_c,elm_c);

    n=isnan(data.data);
    num_nan=sum(n);
    num_nan=num_nan(num_nan>0);

    rem_nanc=inter_elm_c(num_nan>=sz(1)/2);
    rem_nanc=intersect(rem_nanc,rem_nanc);

    flag=0;
    for i=1:length(rem_nanc)
            data.data(:,rem_nanc(i)-flag)=[];
            data.datahead(:,rem_nanc(i)-flag)=[];
            flag=flag+1;
    end    

    other_rem_c1=not(ismember(inter_elm_c,rem_nanc));
    other_rem_c2=inter_elm_c(other_rem_c1);

    rem_r1=elm_r(ismember(elm_c,other_rem_c2));
    rem_nanr=intersect(rem_r1,rem_r1);

    flag=0;
    for i=1:length(rem_nanr)
        data.data(rem_nanr(i)-flag,:)=[];
        data.textdata(rem_nanr(i)-flag,:)=[];
        flag=flag+1;
    end

    data.zdata = zscore(data.data);
    
    hdl.treatments = intersect(data.textdata(:,8),data.textdata(:,8));
    set(fig.treatments,'string',hdl.treatments);
    set(fig.control,'string',hdl.treatments);
    
    clear f_names dir_names num apdata aptextdata apnd sz elm_r elm_c inter_elm_c n num_nan rem_nanc flag other_rem_c1 other_rem_c2 rem_r1 rem_nanr
    else
    warndlg('Ooops!! No input file selected','Error!!');
    return
end

