function new_sample_knn

global data treated untreated res scr rslt

ftr_keep = scr.ind(1,1:20);
untreated.cont_ftr = untreated.controls(:,ftr_keep); % controls
treated.data_ftr = treated.dataset(:,ftr_keep); % test

z = size(untreated.cont_ftr);
samp = floor(z(1)/2);

rnd = randperm(numel(untreated.cont_ftr(:,1)));
untreated.cont_f = untreated.cont_ftr(rnd(1:samp),:); %controls
untreated.bench_f = untreated.cont_ftr(rnd(samp+1:end),:); %benchmark
treated.test_f = treated.data_ftr(rnd(1:samp),:); %test

numneigh = 5;
distsize = 0;
pvalue = 0.05;
metric = 'euclidean';
plotdist = 'no';

[res.distdata, res.testinfo] = knnonectrl(untreated.bench_f, treated.test_f, numneigh, distsize, pvalue, metric, plotdist, untreated.cont_f);
