function upload_file_knn

global fig filename directory data hdl

[filename,directory] = uigetfile('*.txt','Select a file');

if filename == 0,
    return
end

set(fig.name_file,'string',filename);

if filename ~= 0
    cd(directory)

    data=importdata(filename);

    num = numel(data.textdata(1,:)) - numel(data.data(1,:));
    data.texthead = data.textdata(1, 1:num);
    data.datahead = data.textdata(1, num+1:end);
    data.textdata = data.textdata(2:end, 1:num);

% mem stored all those rows that had NAN in first column to eliminate later
    mem=not(isnan (sum(data.data(:,1),2)));

    % This data is without all rows with NAN's in all columns
    data.data = data.data(mem, :);
    data.textdata = data.textdata(mem, :);
    clear mem 
    % Check for any more NAN's
    sz=size(data.data);
    [elm_r,elm_c]=find(isnan(data.data));
    inter_elm_c=intersect(elm_c,elm_c);

    n=isnan(data.data);
    num_nan=sum(n);
    num_nan=num_nan(num_nan>0);

    rem_nanc=inter_elm_c(num_nan>=sz(1)/2);
    rem_nanc=intersect(rem_nanc,rem_nanc);

    flag=0;
    for i=1:length(rem_nanc)
            data.data(:,rem_nanc(i)-flag)=[];
            data.datahead(:,rem_nanc(i)-flag)=[];
            flag=flag+1;
    end    

    other_rem_c1=not(ismember(inter_elm_c,rem_nanc));
    other_rem_c2=inter_elm_c(other_rem_c1);

    rem_r1=elm_r(ismember(elm_c,other_rem_c2));
    rem_nanr=intersect(rem_r1,rem_r1);

    flag=0;
    for i=1:length(rem_nanr)
        data.data(rem_nanr(i)-flag,:)=[];
        data.textdata(rem_nanr(i)-flag,:)=[];
        flag=flag+1;
    end
    
    hdl.treatments = intersect(data.textdata(:,8),data.textdata(:,8));
    set(fig.treatments,'string',hdl.treatments);    
    
%     [coeff, scores, latent] = princomp(data.zdata);
%     colours = [1 0 0; 0 1 0; 0 0 1];
%     figure
%     for i = 1:3
%         mem = ismember(data.textdata(:,8), treats(i));
%         plot3(scores(mem, 1), scores(mem, 2), scores(mem, 3), '.', 'color', colours(i,:))
%         hold on
%     end
%     hold off
%     legend(treats)
% 
%     testinfo = [];
%     testdata = [];
%     testzdata = [];
%     scoredata = scores(:, 1:3);
%     for i = 1:numel(test(:,1))
%         mem = ismember(scoredata, test(i,:), 'rows');
%         testinfo = vertcat(testinfo, data.textdata(mem,:));
%         testdata = vertcat(testdata, data.data(mem, :));
%         testzdata = vertcat(testzdata, data.zdata(mem, :));
%     end
    
    else
    warndlg('Ooops!! No input file selected','Error!!');
    return
end
